Copy applicant profile

Overview

This method is used by partners to import applicant profiles for Copy Applicant.

📘

Note

Copy Applicant supports both individual and company applicants, but it is enabled separately for each.
For companies, the full company structure is copied but linked profiles of individual beneficiaries are included only if the feature is also enabled for individual applicants on your account; otherwise, only the structure is copied without linked profiles.

Request example

 curl -X POST \
    'https://api.sumsub.com/resources/applicants/-/import?shareToken=_act-0b8a43f6-b70f-4ad3-bda9-7ce904589380'

Response explained

In the response, a new applicant ID generated on the partner's side is returned.

{
    "id": "5d08a63239b79354a2ebaa1d",
    "createdAt": "2019-06-18 10:52:02",
    "clientId": "CoolCoinLtd",
    ...
}

Error response example

You may encounter two categories of errors:

  • Generic token validation occurs first and may return a 401 Unauthorized.
  • If token validation succeeds, the endpoint may return a 400 error with a specific error code indicating the underlying problem.
{
  "code": 401,
  "description": "Token is invalid: Token _act-374dc16e-4c7e-4e50-a621-ed76a0dd68fb-v2 is invalid now: created at Tue Dec 02 08:27:46 UTC 2025 with ttl 5 but accessed at Tue Dec 02 08:29:55 UTC 2025 [source: null]",
  "type": "de.smtdp.commons.service.exceptions.ServiceException"
}
{
  "code": 400,
  "errorCode": 10518,
  "errorName": "copy-applicant-disabled",
  "description": "Copying applicants is disabled for you",
  "type": "de.smtdp.commons.service.exceptions.ServiceException"
}

Error codes with descriptions

Error codeError nameDescription
10501not-in-partners-listReusing applicants is not allowed since the target is not your partner.
10502invalid-partner-idPartner ID extracted from the share token is invalid.
10503invalid-share-tokenProvided share token is malformed or expired.
10504non-suitable-share-tokenShare token is not suitable for reuse with the given level.
10520copy-applicant-disabledCopying applicants is disabled for you.
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!